Skip to main content
GET
/
v1
/
credits
/
{id}
Get a single credit
curl --request GET \
  --url https://dev.flextell.ai/api/v1/credits/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "tenant_id": 123,
    "type": "<string>",
    "type_label": "<string>",
    "amount": 123,
    "formatted_amount": "<string>",
    "start_date": "2023-11-07T05:31:56Z",
    "end_date": "2023-11-07T05:31:56Z",
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The credit identifier

Response

success
string
required
data
CreditResource · object
required